Subject: Re: [PATCH PKT_SCHED 11/17]: Remove checks for impossible conditions in ipt action

From: Patrick McHardy <[email-masked]>
Date: Thu, 30 Dec 2004 15:25:13 +0100

Thomas Graf wrote:
> * Patrick McHardy <[email-masked]> 2004-12-30 04:40
> 
>>-	if (a == NULL || rta == NULL ||
>>-	    rtattr_parse(tb, TCA_IPT_MAX, RTA_DATA(rta), RTA_PAYLOAD(rta)) < 0)
>>+	if (rtattr_parse(tb, TCA_IPT_MAX, RTA_DATA(rta), RTA_PAYLOAD(rta)) < 0)
>> 		return -1;
> 
> 
> You might want to use rtattr_parse_nested here (see patch 1 of my latest
> patchset)
> 
> if (rtattr_parse_nested(tb, TCA_IPT_MAX, rta) < 0)
> 
> Purely cosmetic though. It gives a slightly better hint on what is being
> done.

We can do this once your changes are merged (I'll review
them later today). For now I prefer to leave it this way
so I can work on a vanilla tree.

Regards
Patrick